FreeBSD : mysql -- format string vulnerability (fcb90eb0-2ace-11db-a6e2-000e0c2e438a)

This script is Copyright (C) 2006-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Jean-David Maillefer reports a Denial of Service vulnerability within
MySQL. The vulnerability is caused by improper checking of the
data_format routine, which cause the MySQL server to crash. The crash
is triggered by the following code:'SELECT date_format('%d%s', 1);

See also :

http://bugs.mysql.com/bug.php?id=20729
http://www.nessus.org/u?a2294f73

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.0
(CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P)
CVSS Temporal Score : 3.3
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 22213 (freebsd_pkg_fcb90eb02ace11dba6e2000e0c2e438a.nasl)

Bugtraq ID: 19032

CVE ID: CVE-2006-3469

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now